DataInputControllerInsertDataStorageRecords Method

POST /DataInput/DataStorageRecords/ Inserts multiple data storage records.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("DataStorageRecords")]
public HttpResponseMessage InsertDataStorageRecords(
	[FromBodyAttribute] DataStorageInsertRecordsOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsDataStorageInsertRecordsOptions
The data to be provided for inserting the records.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
An array of Guid containing the IDs of the newly inserted records, or a status code indicating the reason for failure.
See Also